Bug 1128404 - Yum groups not working as expected
Summary: Yum groups not working as expected
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-10 06:41 UTC by Aniruddha
Modified: 2015-06-29 22:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:00:08 UTC


Attachments (Terms of Use)

Description Aniruddha 2014-08-10 06:41:34 UTC
I've encountered two problems with yum groups:

1 After a standard installation you can't remove the GNOME Desktop group (or KDE Plasma Workspaces if you have kde installed during installation).

2 Groups are not behaving consistently, for example  I can't remove gnome after installing it. Group unmark only removes the group from the installed list.

$ yum -v grouplist
Not loading "blacklist" plugin, as it is disabled
Loading "langpacks" plugin
Loading "refresh-packagekit" plugin
Loading "remove-with-leaves" plugin
Not loading "whiteout" plugin, as it is disabled
Adding en_US to language list
Adding  to language list
Config time: 0.014
Adding en_US to language list
Yum version: 3.4.3
Setting up Package Sacks
pkgsack time: 0.019
group time: 0.243
Installed environment groups:
   GNOME Desktop (gnome-desktop-environment)
   KDE Plasma Workspaces (kde-desktop-environment)
   Basic Desktop (basic-desktop-environment)

$ sudo yum groupremove "GNOME Desktop"
Loaded plugins: langpacks, refresh-packagekit, remove-with-leaves
No group named GNOME Desktop exists
Maybe run: yum groups mark remove (see man yum)
No packages to remove from groups

$ sudo yum groupremove gnome-desktop-environment
Loaded plugins: langpacks, refresh-packagekit, remove-with-leaves
No group named gnome-desktop-environment exists
Maybe run: yum groups mark remove (see man yum)
No packages to remove from groups

$ sudo yum group mark remove "GNOME Desktop"
Loaded plugins: langpacks, refresh-packagekit, remove-with-leaves
Marked remove: GNOME Desktop

$ sudo yum update
Loaded plugins: langpacks, refresh-packagekit, remove-with-leaves
No packages marked for update

$ sudo yum upgrade
Loaded plugins: langpacks, refresh-packagekit, remove-with-leaves
No packages marked for update

$ sudo yum group update
Loaded plugins: langpacks, refresh-packagekit, remove-with-leaves
Maybe run: yum groups mark install (see man yum)
No packages in any requested group available to install or update

$ yum -v grouplist                              
Not loading "blacklist" plugin, as it is disabled
Loading "langpacks" plugin
Loading "refresh-packagekit" plugin
Loading "remove-with-leaves" plugin
Not loading "whiteout" plugin, as it is disabled
Adding en_US to language list
Adding  to language list
Config time: 0.015
Adding en_US to language list
Yum version: 3.4.3
Setting up Package Sacks
pkgsack time: 0.023
group time: 0.267
Installed environment groups:
   KDE Plasma Workspaces (kde-desktop-environment)
   Basic Desktop (basic-desktop-environment)
Available environment groups:
   GNOME Desktop (gnome-desktop-environment)

Comment 1 Fedora End Of Life 2015-05-29 12:35:53 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 22:00:08 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.